| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Protected Member Functions | Static Protected Member Functions
AAX_IMIDIMessageInfoDelegate Class Referenceabstract

## Public Member Functions
virtual | ~AAX_IMIDIMessageInfoDelegate ()
virtual uint32_t | Mask () const =0
virtual uint32_t | Length () const =0
virtual AAX_CString | ToString (uint32_t inLength, const uint8_t *inData) const =0
virtual bool | Accepts (uint32_t inLength, const uint8_t *inData) const

## Protected Member Functions
bool | Accepts_ExactStatus (uint32_t inLength, const uint8_t *inData) const

## Static Protected Member Functions
static void | ToString_AppendNumber (const char *inLabel, int32_t inData, AAX_CString &outString)
static void | ToString_AppendCStr (const char *inLabel, const char *inCStr, AAX_CString &outString)
static void | ToString_AppendByteRange (const char *inLabel, const uint8_t *inData, int32_t inNumBytes, AAX_CString &outString)
static void | ToString_AppendValid (bool inCheck, AAX_CString &outString)

## Constructor & Destructor Documentation

## ◆ ~AAX_IMIDIMessageInfoDelegate()

virtual AAX_IMIDIMessageInfoDelegate::~AAX_IMIDIMessageInfoDelegate | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ Mask()

virtual uint32_t AAX_IMIDIMessageInfoDelegate::Mask | ( |  | ) | const
| pure virtual

Referenced by Accepts(), and Accepts_ExactStatus().

Here is the caller graph for this function:

## ◆ Length()

virtual uint32_t AAX_IMIDIMessageInfoDelegate::Length | ( |  | ) | const
| pure virtual

Referenced by Accepts().

Here is the caller graph for this function:

## ◆ ToString()

virtual AAX_CString AAX_IMIDIMessageInfoDelegate::ToString | ( | uint32_t | inLength,
|  | const uint8_t * | inData
| ) |  | const
| pure virtual

## ◆ Accepts()

virtual bool AAX_IMIDIMessageInfoDelegate::Accepts | ( | uint32_t | inLength,
|  | const uint8_t * | inData
| ) |  | const
| inline virtual

References Length(), and Mask().

Referenced by Accepts_ExactStatus().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Accepts_ExactStatus()

bool AAX_IMIDIMessageInfoDelegate::Accepts_ExactStatus | ( | uint32_t | inLength,
|  | const uint8_t * | inData
| ) |  | const
| inline protected

References Accepts(), and Mask().

Here is the call graph for this function:

## ◆ ToString_AppendNumber()

static void AAX_IMIDIMessageInfoDelegate::ToString_AppendNumber | ( | const char * | inLabel,
|  | int32_t | inData,
|  | AAX_CString & | outString
| ) |  |
| inline static protected

References AAX_CString::AppendNumber().

Here is the call graph for this function:

## ◆ ToString_AppendCStr()

static void AAX_IMIDIMessageInfoDelegate::ToString_AppendCStr | ( | const char * | inLabel,
|  | const char * | inCStr,
|  | AAX_CString & | outString
| ) |  |
| inline static protected

References AAX_CString::Append().

Referenced by ToString_AppendValid().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ToString_AppendByteRange()

static void AAX_IMIDIMessageInfoDelegate::ToString_AppendByteRange | ( | const char * | inLabel,
|  | const uint8_t * | inData,
|  | int32_t | inNumBytes,
|  | AAX_CString & | outString
| ) |  |
| inline static protected

References AAX_CString::Append(), and AAX_CString::AppendHex().

Here is the call graph for this function:

## ◆ ToString_AppendValid()

static void AAX_IMIDIMessageInfoDelegate::ToString_AppendValid | ( | bool | inCheck,
|  | AAX_CString & | outString
| ) |  |
| inline static protected

References ToString_AppendCStr().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- AAX_MIDILogging.cpp